Runtime Manipulation

- « Threaded::count

- Threaded::isRunning »

- PHP Manual
- Threaded
- Runtime Manipulation

# Threaded::extend

(PECL pthreads >= 2.0.8)

Threaded::extend — Runtime Manipulation

### Description

public Threaded::extend(string `$class`): bool

Makes thread safe standard class at runtime

### Parameters

`class`

  The class to extend

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 Runtime inheritance

    <?phpclass My {}Threaded::extend(My::class);$my = new My();var_dump($my instanceof Threaded);?>

The above example will output:

    bool(true)